Skip to main content

Describe On-Demand Compute (V2)

Describe the On-Demand Compute status for a project region.

GET/v2/on-demand-compute
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringqueryrequired

The ID of the project.

Example Value: proj-xxx
regionIdstringqueryrequired

The ID of the region.

Example Value: aws-us-west-2
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/on-demand-compute?projectId=proj-xxx&regionId=aws-us-west-2" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json

A success response

codeinteger

Response code.

Example Value: 0
dataobject

Response payload which contains the On-Demand Compute status.

projectIdstring

ID of the project.

regionIdstring

ID of the region.

statusstring

The On-Demand Compute status.

A failure response.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": {
"projectId": "proj-xxx",
"regionId": "aws-us-west-2",
"status": "enabled"
}
}